'Build Version: 3.0.104.0




'     THIS CODE AND INFORMATION IS PROVIDED TO YOU FOR YOUR REFERENTIAL 
'     PURPOSES ONLY, AND IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
'     EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
'     WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE, 
'     AND MAY NOT BE REDISTRIBUTED IN ANY MANNER
'
'     Copyright (c) Microsoft Corporation. All rights reserved.






Option Explicit
On Error resume Next

'LOCALIZABLE TEXT
const CURRENT_SOURCE_PATH_TEXT      = "Current Source Path is "
const ARGUMENT_ERROR_TEXT               = "Invalid Parameters, pass zero parameters or pass the path to OS Source"
const UPDATE_SOURCE_PATH_TEXT        = "Updating source path to "
const ERROR_OCCURED_TEXT                = "Error occured "
const OSSOURCE_NOT_UPDATED            = "No update to the OS source was passed in, the OS source will not be updated."
const OSSOURCE_WARNING_MESSAGE   = "The Target will search for the OS binaries at the location above, the configuration will fail if the OS bits are not found."

'Other constants
const REGKEY_OSSOURCEPATH = "HKLM\Software\Microsoft\Windows\CurrentVersion\Setup\SourcePath"

'Sub Main
    Dim WshShell, strCurrentSourcePath,Args

    'Check the Arguments
    Set Args = WScript.Arguments
    If (Args.Length > 1) Then
	WScript.Echo ARGUMENT_ERROR_TEXT
              WScript.Quit(2)
    End If
	


    'Read the current source path
    Set WshShell = WScript.CreateObject("WScript.Shell")
    CheckError
    strCurrentSourcePath = WshShell.RegRead(REGKEY_OSSOURCEPATH)
    CheckError
    WScript.Echo CURRENT_SOURCE_PATH_TEXT & strCurrentSourcePath
    
    'Show warning if the user is not updating the OS Source path
    If (Args.Length = 0) Then
        WScript.Echo OSSOURCE_NOT_UPDATED
        WScript.Echo OSSOURCE_WARNING_MESSAGE
        WScript.Quit(0)
    End If

    WScript.Echo UPDATE_SOURCE_PATH_TEXT   & Args(0)
    'Now update the source path
    WshShell.RegWrite REGKEY_OSSOURCEPATH, Args(0), "REG_SZ" 
    CheckError

   'Done
    WScript.Quit(0)
'End Main


Sub CheckError
    If ( Err.Number<>0) Then
        WScript.Echo ERROR_OCCURED_TEXT
        WScript.Echo Err.Number & ", "  &Err.Description
        WScript.Quit(2)
    End If
End Sub
